Bug 1779880 (CVE-2019-17631) - CVE-2019-17631 IBM JDK: Unrestricted access to diagnostic operations
Summary: CVE-2019-17631 IBM JDK: Unrestricted access to diagnostic operations
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-17631
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1777848 1777849 1777850 1777851 1777852 1778949
Blocks: 1753424
TreeView+ depends on / blocked
 
Reported: 2019-12-04 22:06 UTC by Tomas Hoger
Modified: 2020-01-07 15:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-09 13:04:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:4113 None None None 2019-12-09 08:57:16 UTC
Red Hat Product Errata RHSA-2019:4115 None None None 2019-12-09 13:27:08 UTC
Red Hat Product Errata RHSA-2020:0006 None None None 2020-01-02 14:02:07 UTC
Red Hat Product Errata RHSA-2020:0046 None None None 2020-01-07 15:11:21 UTC

Description Tomas Hoger 2019-12-04 22:06:57 UTC
IBM JDK 8 SR6 (8.0.6.0) fixes a flaw described by upstream as:

Eclipse OpenJ9 could allow a local attacker to gain elevated privileges on the system, caused by the failure to performs an authorization check when an actor attempts to access a resource or perform an action. An attacker could exploit this vulnerability to gain access to diagnostic operations such as causing a GC or creating a diagnostic file.

OpenJ9 upstream bug:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=552129

References:

https://www.ibm.com/support/pages/node/1120071
https://developer.ibm.com/javasdk/support/security-vulnerabilities/#IBM_Security_Update_November_2019

Comment 1 errata-xmlrpc 2019-12-09 08:57:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:4113 https://access.redhat.com/errata/RHSA-2019:4113

Comment 2 Product Security DevOps Team 2019-12-09 13:04:53 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-17631

Comment 3 errata-xmlrpc 2019-12-09 13:27:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:4115 https://access.redhat.com/errata/RHSA-2019:4115

Comment 4 errata-xmlrpc 2020-01-02 14:02:06 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2020:0006 https://access.redhat.com/errata/RHSA-2020:0006

Comment 5 errata-xmlrpc 2020-01-07 15:11:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0046 https://access.redhat.com/errata/RHSA-2020:0046


Note You need to log in before you can comment on or make changes to this bug.